> For the complete documentation index, see [llms.txt](https://docs.hedge.video/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hedge.video/offshoot/features/automation/examples/zcam-vid-stitch.md).

# ZCAM Stitcher

### How to use

This script is made purposely for [ZCAM S1](http://www.z-cam.com/360-vr-camera-s1/) 360° VR cameras. It has 4 lenses that record on 4 separate cards. To be able to stitch the clips in an NLE, they need to be reorganized into a folder structure with a separate folder per take.

Clip naming convention: `ZCAM2300_0001_201811251455`

* `ZCAM` = brand
* `2300` = reel
* `0001` = lens nr&#x20;
* `201811251455` = timestamp

This script reorganizes all clips from all lenses (0001 to 0004) into folders named `[timestamp]_[zcam-reel]`. It can be used standalone or with OffShoot's [File Copy Completed](/offshoot/features/automation/scripts/events/filecopycompleted.md) event.

#### **With OffShoot**

1. Add the script to [File Copy Completed](/offshoot/features/automation/scripts/events/filecopycompleted.md) event in Hedge's `Settings > Scripting` panel.
2. When a transfer completes the script runs, checks if the transfer was successful, and looks for ZCAM files.&#x20;
3. When found, moves them to transfer destination root.

#### **Without OffShoot**

1. Run the script from the script edit app.
2. Select a folder to scan for ZCAM files
3. Select a location for the "\_ready for stitching" folder

### Settings

Edit the following parameters inside the script, if needed:

```
set createStitchFolderWithName to "_ready for stitching" -- leave empty when there should be no folder made
set showStartConfirmationInHedge to false -- when running from Hedge show a confirmation popup before starting
set customStitchFolderLocation to true -- when running stand alone shows a location picker, otherwise its the same as folder to scan
set showProgressNotifications to true -- not sure when you would ever set this to false :-)
```

### Download

{% file src="/files/-LWLoPFWt84GXlWZdjtX" %}
ZCAM vid stitch.scpt
{% endfile %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hedge.video/offshoot/features/automation/examples/zcam-vid-stitch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
